opencv: CvNormalBayesClassifier Class Reference

Public Member Functions | Protected Attributes

# CvNormalBayesClassifier Class Reference

`#include <ml.hpp>`

Inheritance diagram for CvNormalBayesClassifier:

List of all members.

## Public Member Functions
virtual CV_WRAP void | clear ()
CV_WRAP | CvNormalBayesClassifier ()
| CvNormalBayesClassifier (const CvMat *trainData, const CvMat *responses, const CvMat *varIdx=0, const CvMat *sampleIdx=0)
CV_WRAP | CvNormalBayesClassifier (const cv::Mat &trainData, const cv::Mat &responses, const cv::Mat &varIdx=cv::Mat(), const cv::Mat &sampleIdx=cv::Mat())
virtual float | predict (const CvMat *samples, CV_OUT CvMat *results=0) const
virtual CV_WRAP float | predict (const cv::Mat &samples, CV_OUT cv::Mat *results=0) const
virtual void | read (CvFileStorage *storage, CvFileNode *node)
virtual bool | train (const CvMat *trainData, const CvMat *responses, const CvMat *varIdx=0, const CvMat *sampleIdx=0, bool update=false)
virtual CV_WRAP bool | train (const cv::Mat &trainData, const cv::Mat &responses, const cv::Mat &varIdx=cv::Mat(), const cv::Mat &sampleIdx=cv::Mat(), bool update=false)
virtual void | write (CvFileStorage *storage, const char *name) const
virtual | ~CvNormalBayesClassifier ()
## Protected Attributes
CvMat ** | avg
CvMat * | c
CvMat * | cls_labels
CvMat ** | count
CvMat ** | cov_rotate_mats
CvMat ** | inv_eigen_values
CvMat ** | productsum
CvMat ** | sum
int | var_all
int | var_count
CvMat * | var_idx

## Constructor & Destructor Documentation

CV_WRAP CvNormalBayesClassifier::CvNormalBayesClassifier | ( | ) |

virtual CvNormalBayesClassifier::~CvNormalBayesClassifier | ( | ) | `[virtual]`

CvNormalBayesClassifier::CvNormalBayesClassifier | ( | const CvMat * | trainData,
|  | const CvMat * | responses,
|  | const CvMat * | varIdx = `0`,
|  | const CvMat * | sampleIdx = `0`
| ) |  |

CV_WRAP CvNormalBayesClassifier::CvNormalBayesClassifier | ( | const cv::Mat & | trainData,
|  | const cv::Mat & | responses,
|  | const cv::Mat & | varIdx = `cv::Mat()`,
|  | const cv::Mat & | sampleIdx = `cv::Mat()`
| ) |  |

## Member Function Documentation

virtual CV_WRAP void CvNormalBayesClassifier::clear | ( | ) | `[virtual]`

Reimplemented from CvStatModel.

virtual CV_WRAP float CvNormalBayesClassifier::predict | ( | const cv::Mat & | samples,
|  | CV_OUT cv::Mat * | results = `0`
| ) |  | const`[virtual]`

virtual float CvNormalBayesClassifier::predict | ( | const CvMat * | samples,
|  | CV_OUT CvMat * | results = `0`
| ) |  | const`[virtual]`

virtual void CvNormalBayesClassifier::read | ( | CvFileStorage * | storage,
|  | CvFileNode * | node
| ) |  | `[virtual]`

Reimplemented from CvStatModel.

virtual CV_WRAP bool CvNormalBayesClassifier::train | ( | const cv::Mat & | trainData,
|  | const cv::Mat & | responses,
|  | const cv::Mat & | varIdx = `cv::Mat()`,
|  | const cv::Mat & | sampleIdx = `cv::Mat()`,
|  | bool | update = `false`
| ) |  | `[virtual]`

virtual bool CvNormalBayesClassifier::train | ( | const CvMat * | trainData,
|  | const CvMat * | responses,
|  | const CvMat * | varIdx = `0`,
|  | const CvMat * | sampleIdx = `0`,
|  | bool | update = `false`
| ) |  | `[virtual]`

virtual void CvNormalBayesClassifier::write | ( | CvFileStorage * | storage,
|  | const char * | name
| ) |  | const`[virtual]`

Reimplemented from CvStatModel.

## Member Data Documentation

CvMat** CvNormalBayesClassifier::avg`[protected]`

CvMat* CvNormalBayesClassifier::c`[protected]`

CvMat* CvNormalBayesClassifier::cls_labels`[protected]`

CvMat** CvNormalBayesClassifier::count`[protected]`

CvMat** CvNormalBayesClassifier::cov_rotate_mats`[protected]`

CvMat** CvNormalBayesClassifier::inv_eigen_values`[protected]`

CvMat** CvNormalBayesClassifier::productsum`[protected]`

CvMat** CvNormalBayesClassifier::sum`[protected]`

int CvNormalBayesClassifier::var_all`[protected]`

int CvNormalBayesClassifier::var_count`[protected]`

CvMat* CvNormalBayesClassifier::var_idx`[protected]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines